import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const getProvinceBuyerStewardAllocationService = createAsyncThunk(
  "GET_PROVINCE_BUYER_STEWARD_ALLOCATION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("automatic-steward-allocation/", {
      params: {
        kill_house_key: d.killHouseKey,
        date: d.date,
        role: getRoleFromUrl(),
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
